package com.hdp.customerservice.websocket;

import java.io.IOException;
import java.util.Iterator;
import java.util.concurrent.ConcurrentHashMap;

import javax.websocket.OnClose;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.hdp.customerservice.websocket.model.Customer;
import com.hdp.customerservice.websocket.model.Waiter;

@ServerEndpoint("/reverse")
public class IMWebSocketEndpoint {
	private static Log log=LogFactory.getLog(IMWebSocketEndpoint.class);
	
	@OnOpen
	public void handleConnect(Session session) throws IOException{
		Waiter waiter = new Waiter();
		waiter.name="刘文胜"+Math.random();
		waiter.session = session;
		Iterator<Customer> cs= IMManager.users.values().iterator();
		String openId= "";
		while(cs.hasNext()){
			Customer c=cs.next();
			if(c.waiter == null || !c.waiter.session.isOpen()){
				openId = c.openId;
				break;
			}
		}
		Customer user=IMManager.users.get(openId);
		if(user!=null){
			user.waiter=waiter;
		}
		IMManager.waiters.put("lws", waiter);
	}
	
	@OnClose
	public void handleClose(Session session){
		log.info("关闭");
	}
	
	@OnMessage
	public void handleMessage(Session session, String message) throws IOException {
	}
}
